Skip to Content
veriom

Propose structural crown jewel

POST
/v1/workspaces/{workspace_id}/structural/crown-jewels

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
entity_key*Entity Key
Length3 <= length <= 1000
evidence_ids?array<>
Itemsitems <= 100
rationale*Rationale
Length10 <= length <= 4000

Response Body

Successful Response

application/json
  1. response
asset_class*Asset Class
confirmed_at*|null
confirmed_by*|null
created_at*Created At
Formatdate-time
entity_key*Entity Key
evidence_ids*array<string>
id*Id
Formatuuid
proposed_by*Proposed By
rationale*Rationale
status*Status
updated_at*Updated At
Formatdate-time
version*Version
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/structural/crown-jewels' \  -H 'Content-Type: application/json' \  -d '{  "entity_key": "string",  "rationale": "stringstri"}'
Example Response
{  "asset_class": "string",  "confirmed_at": "2019-08-24T14:15:22Z",  "confirmed_by": "41d52211-974d-4c1a-a696-959dc97cc570",  "created_at": "2019-08-24T14:15:22Z",  "entity_key": "string",  "evidence_ids": [    "string"  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "proposed_by": "string",  "rationale": "string",  "status": "string",  "updated_at": "2019-08-24T14:15:22Z",  "version": 0,  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}